Robots
Create Robot MCP server
Configure an external streamable HTTP MCP server for Robot tool discovery.
POST
/robots/mcp-serversConfigure an external streamable HTTP MCP server for Robot tool discovery.
storyden-session<token>
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/robots/mcp-servers" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "endpoint_url": "http://example.com" }'{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"name": "string",
"slug": "string",
"description": "string",
"endpoint_url": "http://example.com",
"oauth_remote_connection_id": "cc5lnd2s1s4652adtu50",
"enabled": true,
"has_bearer_token": true,
"has_oauth_token": true,
"last_refreshed_at": "2019-08-24T14:15:22Z",
"last_error": "string",
"tools": [
{
"id": "string",
"remote_name": "string",
"callable_name": "string",
"title": "string",
"description": "string",
"enabled": true,
"available": true,
"last_seen_at": "2019-08-24T14:15:22Z"
}
]
}Empty
Empty
Empty
{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}